Name: pcs		
Version: 0.9.149
Release: %mkrel 2
License: GPLv2
URL: http://github.com/feist/pcs
Group:   System/Base

Summary: Pacemaker Configuration System
Source0: https://github.com/feist/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:  mgaFix-0.9.149.patch
Patch1:  pcs-CVE-2017-2661.patch

BuildRequires: python2-devel pam-devel python
# for post, preun and postun macros
BuildRequires: systemd
# for UpdateTimestamps sanitization function
BuildRequires: diffstat

Requires: pacemaker ruby python
Requires: psmisc openssl
Requires: python-clufter => 0.55.0
Requires: python-lxml
Requires: ruby-sinatra ruby-sinatra-contrib ruby-sinatra-sugar
Requires: ruby-rack ruby-rack-protection ruby-rack-test
Requires: ruby-monkey-lib ruby-rpam-ruby19
Requires: ruby-eventmachine ruby-multi_json ruby-json
Requires: ruby-open4 ruby-backports

BuildArch: noarch

%description
pcs is a corosync and pacemaker configuration tool.  It permits users to
easily view, modify and created pacemaker based clusters.

%prep
%setup -q

# -- following borrowed from python-simplejon.el5 --
# Update timestamps on the files touched by a patch, to avoid non-equal
# .pyc/.pyo files across the multilib peers within a build, where "Level"
# is the patch prefix option (e.g. -p1)
UpdateTimestamps() {
  Level=$1
  PatchFile=$2
  # Locate the affected files:
  for f in $(diffstat $Level -l $PatchFile); do
    # Set the files to have the same timestamp as that of the patch:
    touch -r $PatchFile $f
  done
}

%patch0 -p1
%patch1 -p1
UpdateTimestamps -p1 %{PATCH0}

%build
rm -f pscd/Gemfile.lock

%install
rm -rf %{buildroot}
pwd
make install DESTDIR=%{buildroot} PYTHON_SITELIB=%{python_sitelib} BUILD_GEMS=false
make install_pcsd DESTDIR=%{buildroot} PYTHON_SITELIB=%{python_sitelib} hdrdir="%{_includedir}" rubyhdrdir="%{_includedir}" includedir="%{_includedir}" BUILD_GEMS=false
chmod 755 %{buildroot}/%{python_sitelib}/pcs/pcs.py
mv %{buildroot}/usr/lib/pcsd/ %{buildroot}%{_datadir}/pcsd/
sed -i "s|#!/usr/bin/ruby|#!/usr/bin/ruby -I%{_datadir}/pcsd|" %{buildroot}%{_datadir}/pcsd/pcsd-cli.rb

%post
%_post_service pcsd

%preun
%_preun_service pcsd

%postun
%_postun_service pcsd

%files
%{python_sitelib}/pcs
%{python_sitelib}/pcs-%{version}-py2.*.egg-info
/usr/sbin/pcs
%{_datadir}/pcsd/*
/usr/lib/systemd/system/pcsd.service
/var/lib/pcsd
/etc/pam.d/pcsd
/etc/bash_completion.d/pcs
/etc/logrotate.d/pcsd
%dir /var/log/pcsd
/etc/sysconfig/pcsd
%{_mandir}/man8/pcs.*
%exclude %{_datadir}/pcsd/*.debian
%exclude %{_datadir}/pcsd/.gitignore
%exclude %{_datadir}/pcsd/test

%doc COPYING README


%changelog
* Thu Mar 23 2017 luigiwalser <luigiwalser> 0.9.149-2.mga6
+ Revision: 1094667
- rediff upstream patch to fix CVE-2017-2661

* Tue Apr 05 2016 spuhler <spuhler> 0.9.149-1.mga6
+ Revision: 998527
- deleted the embedded gem files in the sha1.lst
- upgrade to vers. 0.9.149
- rediffed patches
- included missing Ruby pkgs as bundled
- spec file based on on Fedora
- upgrade to 0.9.147
 * remove patches in sync with Fedora

  + pterjan <pterjan>
    - Get rid of embedded gems

* Wed Oct 15 2014 umeabot <umeabot> 0.9.123-4.mga5
+ Revision: 745878
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.123-3.mga5
+ Revision: 727541
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.123-2.mga5
+ Revision: 683372
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 daviddavid <daviddavid> 0.9.123-1.mga5
+ Revision: 665982
- add two patches to fix build and gems_build
- pcs is no longer a noarch package
- obsolete previous version (0.9.26-2) of pcs
- update file list
- update Source0 URL
- update BRs and Requires packages
- exclude some unneeded files
- fix for correct assignment of rights of some files
- welcome to pcsd (Daemon part of pcs)
- new version: 0.9.123

* Sun Jan 13 2013 umeabot <umeabot> 0.9.26-2.mga3
+ Revision: 362663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 ennael <ennael> 0.9.26-1.mga3
+ Revision: 344666
- import from RHEL
- fix group
- imported package pcs

